> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Threads

> Get all agent threads for the current user.

Returns:
- List of user threads



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /agent/threads
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /agent/threads:
    get:
      tags:
        - agent
      summary: Get Threads
      description: |-
        Get all agent threads for the current user.

        Returns:
        - List of user threads
      operationId: get_threads_agent_threads_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentThreadDTO'
                type: array
                title: Response Get Threads Agent Threads Get
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentThreadDTO:
      properties:
        id:
          type: string
          title: Id
        user_id:
          type: string
          title: User Id
        thread_name:
          type: string
          title: Thread Name
        state:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: State
        guide_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Guide Content
        research_context_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Research Assistant Content
        is_deleted:
          type: boolean
          title: Is Deleted
          default: false
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        message_count:
          type: integer
          title: Message Count
          default: 0
      type: object
      required:
        - id
        - user_id
        - thread_name
      title: AgentThreadDTO
      description: Data transfer object for an agent thread.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````